Bug 239332 - misc/libsweep-lidar: fix build with GCC architectures
Summary: misc/libsweep-lidar: fix build with GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-20 09:53 UTC by Piotr Kubaj
Modified: 2019-08-05 13:55 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hyun)


Attachments
patch (1.47 KB, patch)
2019-07-20 09:53 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (hyun)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-20 09:53:34 UTC
Created attachment 205922 [details]
patch

This needs c++11 compiler. GCC from ports doesn't support -Weverything.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-08-02 14:20:11 UTC
This builds for me on both amd64 and powerpc64.
Comment 2 commit-hook freebsd_committer 2019-08-05 13:54:03 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Aug  5 13:53:19 UTC 2019
New revision: 508170
URL: https://svnweb.freebsd.org/changeset/ports/508170

Log:
  misc/libsweep-lidar: fix build with GCC architectures

  This needs c++11 compiler. GCC from ports doesn't support -Weverything.

  PR:		239332
  Approved by:	hyun@caffeinated.codes (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21145

Changes:
  head/misc/libsweep-lidar/Makefile
  head/misc/libsweep-lidar/files/patch-libsweep_CMakeLists.txt